Skip to main content
`Ctrl`+`K`

# MatNestGetSize

Returns the size of the `MATNEST` matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNestGetSize(Mat A, PetscInt *M, PetscInt *N)

Not Collective

## Input Parameter

- A - `MATNEST` matrix

## Output Parameters

- M - number of rows in the nested mat

- N - number of cols in the nested mat

## Note

`size` refers to the number of submatrices in the row and column directions of the nested matrix

## See Also

Matrices, `Mat`, `MATNEST`, `MatNestGetSubMat()`, `MatNestGetSubMats()`, `MatCreateNest()`, `MatNestGetLocalISs()`, `MatNestGetISs()`

## Level

developer

## Location

src/mat/impls/nest/matnest.c

## Implementations

MatNestGetSize_Nest() in src/mat/impls/nest/matnest.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages